# Manual del usuario de &kde;

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

2008-10-03
0.01.01
kdeinit4
8

# `kdeinit4`

Lanzador de procesos de &kde;.

## Resumen

    kdeinit4 --help  --no-fork --no-kded --suicide   +programs programs

## Descripción

kdeinit4 es un lanzador de procesos parecido a la orden `init` que se utiliza para arrancar UNIX. Ejecuta los programas de &kde; y los módulos cargables de kdeinit (KLM) iniciándolos mas eficientemente.

El uso de kdeinit4 para lanzar una aplicación de &kde; hace que el tiempo de inicio de una aplicación típica de &kde; sea dos veces mas rápido y reduce el consumo de memoria de forma importante.

kdeinit4 está enlazado contra todas las bibliotecas que necesita una aplicación estándar de &kde;. Mediante esta técnica, el inicio de una aplicación es mucho mas rápido porque solo se necesita enlazar a la propia aplicación, mientras que en otro caso se necesita enlazar tanto a la aplicación como a las bibliotecas.

## Desventajas

El nombre del proceso de una aplicación arrancada mediante kdeinit4 es «kdeinit4». Este problema puede corregirse en cierto grado cambiando el nombre de la aplicación como se muestra con `ps`. Sin embargo, aplicaciones como `killall` solo verán kdeinit4 como nombre de proceso. Para solucionar esto utilice `kdekillall` (de kdesdk/scripts) para las aplicaciones arrancadas mediante kdeinit4.

## Opciones

`--help`

  Muestra ayuda sobre las opciones

`--no-fork`

  No bifurcar, es decir, no salir hasta que todos los programas ejecutados finalicen

`--no-kded`

  No iniciar kded

`--suicide`

  Finalizar cuando no queden aplicaciones de KDE en ejecución

`+programs`

  ejecuta las peticiones de manipulación de los programas

`programas`

  ejecuta los programas sin peticiones de manipulación

## Utilización

Un modo estándar de ejecutar este programa es especificar lo siguiente en la línea de ordenes ``kdeinit4` program` or ``kdeinit4` +program`

## Archivos

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Variables de entorno

$`HOME`

  Especifica el directorio personal del usuario actual

$`KDE_HOME_READONLY`

  Especifica si el directorio personal del usuario actual es de solo lectura

$`KDE_IS_PRELINKED`

  Si está activado, indica a kdeinit4 que los programas de &kde; están preenlazados.

  (El preenlazado es un proceso que le permite aumentar la velocidad del proceso de enlace dinámico).

$`KDE_DISPLAY`

  Si está activado, indica a kdeinit4 que se está ejecutando en un escritorio &kde;.

## Vea también

kded, kdekillall

## Fallos

Probablemente haya montones de fallos. Para informar acerca de ellos, utilice bugs.kde.org.